\name{PNAR-package}
\alias{PNAR-package}
\alias{PNAR}
\docType{package}
\title{
Poisson Network Autoregressive Models
}

\description{
Quasi likelihood-based methods for estimating linear and log-linear Poisson Network Autoregression models with p lags and covariates. Tools for testing the linearity versus several non-linear alternatives. Tools for simulation of multivariate count distributions, from linear and non-linear PNAR models, by using a specific copula construction. References include: Armillotta, M. and K. Fokianos (2022a). Poisson network autoregression. \url{https://arxiv.org/abs/2104.06296}. Armillotta, M. and K. Fokianos (2022b). Testing linearity for network autoregressive models. \url{https://arxiv.org/abs/2202.03852}. Armillotta, M., Tsagris, M. and Fokianos, K. (2022c). The R-package PNAR for modelling count network time series. \url{https://arxiv.org/abs/2211.02582}.
}

\details{
\tabular{ll}{
Package: \tab PNAR\cr
Type: \tab Package\cr
Version: \tab 1.5\cr
Date: \tab 2023-09-15\cr
License: \tab GPL(>=2)\cr
}
}

\author{
Michail Tsagris, Mirko Armillotta and Konstantinos Fokianos.
}

\references{
Armillotta, M. and K. Fokianos (2022a). Poisson network autoregression.
\url{https://arxiv.org/abs/2104.06296}

Armillotta, M. and K. Fokianos (2022b). Testing linearity for network
autoregressive models. \url{https://arxiv.org/abs/2202.03852}
}

\note{
\bold{Disclaimer:} Dr Mirko Armillotta and Konstantinos Fokianos wrote the
initial functions. Dr Tsagris modified them, created the package and he is the
maintainer.

We would to like to acknowledge Manos Papadakis for his help with the "htest" class object and S3 methods (print() and summary() functions).
}



